DEPTH = ../..

include $(DEPTH)/Makefile.os
include $(DEPTH)/Makefile.install.directories

.PHONY: all
all :

ifeq ($(SHELLTYPE), sh)
.PHONY: release
release :
	mkdir -p $(RELEASE_TMP)/FreeDoko_$(VERSION)/cardsets/
	@# In order to add all cardsets to the release
	@# uncomment the following line, add a trailing backslash
	@# and remove the line after
	@#for cardset in VectorPlayingCards InnoCard xskat openclipart freedoko-pingucards gnome-games kdecarddecks; do
	for cardset in VectorPlayingCards InnoCard xskat openclipart freedoko-pingucards; do \
	  $(MAKE) -C $$cardset $@; \
	done
	chmod -R u+w $(RELEASE_TMP)/FreeDoko_$(VERSION)/cardsets/

.PHONY: install
install :
	mkdir -p $(DESTDIR)$(DATA_DIRECTORY)/cardsets
	cp LiesMich ReadMe origin \
	  $(DESTDIR)$(DATA_DIRECTORY)/cardsets/
	for cardset in VectorPlayingCards xskat openclipart freedoko-pingucards gnome-games kdecarddecks; do \
	  $(MAKE) -C $$cardset $@; \
	done
endif
